Subject: SPI spi_spcom[STR] freeze

From: [email-masked]
Date: Wed, 02 Aug 2006 17:30:10 +0200

Hello

I have problem with SPI

When I want to start my SPI transfer by setting 0x80 to my spi_spcom register. 0x80 keeping in this register till I "READ" the SPMODE register. There is also no transfer or any clock on the pins. 
Did anyone had an Idea what this can be ???

my system:
mpc8270 
pm827 from mircosys
linux 2.6.14 with Xenomai 2.1.2
The kernel module with the spi run under the rtdm.

Thx for helping me.
Regards 
Fred

-- 

Der GMX SmartSurfer hilft bis zu 70% Ihrer Onlinekosten zu sparen!
Ideal für Modem und ISDN: http://www.gmx.net/de/go/smartsurfer